---
lang: en
title: 'API docs: express.invokemiddlewareoptions.middlewarelist'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.invokemiddlewareoptions.middlewarelist.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [InvokeMiddlewareOptions](./express.invokemiddlewareoptions.md) &gt; [middlewareList](./express.invokemiddlewareoptions.middlewarelist.md)

## InvokeMiddlewareOptions.middlewareList property

Pre-built middleware list. If set, the list will be used to create the middleware chain without discovering again within the context.

**Signature:**

```typescript
middlewareList?: MiddlewareOrKey[];
```

